@import './_animations'
  
=flex($alignItems: stretch, $justifyContent: flex-start, $direction: row)
  display: flex
  align-items: $alignItems
  justify-content: $justifyContent
  flex-direction: $direction

=general-box-shadow($horizontal:0px, $vertical:11px, $blur:7px, $spread:-7px, $color: var(--shadow-2), $position: null)
  box-shadow: $position $horizontal $vertical $blur $spread $color
  -moz-box-shadow: $position $horizontal $vertical $blur $spread $color
  -webkit-box-shadow: $position $horizontal $vertical $blur $spread $color

=skeleton($width, $height, $min-width: 100%, $border-radius: 4px)
  min-width: $width
  height: $height
  width: $min-width
  background: #eaeaea
  border-radius: $border-radius
  -webkit-animation: skeletonOpacity 1.5s infinite
  -moz-animation:    skeletonOpacity 1.5s infinite
  -o-animation:      skeletonOpacity 1.5s infinite
  animation:         skeletonOpacity 1.5s infinite
